Public Member Functions

# SoundDriver_Win32 Class Reference

Implementation of the sound driver for Windows. More...

`#include <win32_s.h>`

Inheritance diagram for SoundDriver_Win32:

## Public Member Functions
const char * | Start (const char *const *param)
| Start this driver.
void | Stop ()
| Stop this driver.
const char * | GetName () const
| Get the name of this driver.

## Detailed Description

Implementation of the sound driver for Windows.

Definition at line 18 of file win32_s.h.

## Member Function Documentation

const char* SoundDriver_Win32::GetName | ( |  | ) | const`[inline, virtual]`

Get the name of this driver.

Returns:
  The name of the driver.

Implements Driver.

Definition at line 23 of file win32_s.h.

const char * SoundDriver_Win32::Start | ( | const char *const * | parm | ) | `[virtual]`

Start this driver.

Parameters:

  | parm | Parameters passed to the driver.

Returns:
  NULL if everything went okay, otherwise an error message.

Implements Driver.

Definition at line 57 of file win32_s.cpp.

References error(), GB(), GetDriverParamInt(), min(), and Stop().

The documentation for this class was generated from the following files:

- src/sound/win32_s.h
- src/sound/win32_s.cpp